Skip to main content

vast limits GmbH and uberAgent are now part of Citrix, a business unit of Cloud Software Group. Learn more at Citrix.com.


System Requirements

Backend

Splunk

Operating system: all that are supported by Splunk

Splunk version: Splunk Enterprise 7.0 or newer or Splunk Cloud (details).

We only support uberAgent on Splunk software that is officially supported by Splunk (details).

Endpoints

Windows

OS Versions

  • Windows 11
  • Windows 10
  • Windows 8.1
  • Windows 8
  • Windows 7
  • Windows Server 2022
  • Windows Server 2019
  • Windows Server 2016
  • Windows Server 2012 R2
  • Windows Server 2012
  • Windows Server 2008 R2

Please note that we only support uberAgent on Windows versions that are officially supported by Microsoft.

Processor Architectures

  • x64
  • x86 (where applicable)
  • Arm (Windows 11 only)

Windows Agent Service Account

The main component of uberAgent’s endpoint agent is a system service that needs to run as the local SYSTEM account because that is required by some APIs.

macOS

Operating system: macOS Monterey or newer

Citrix Virtual Apps and Desktops, Microsoft RDS, VMware Horizon View

Remote desktop session hosts (e.g. Citrix XenApp/CVAD, VMware Horizon View, Microsoft RDS) are explicitly supported. The same applies to any kind of virtual desktop (e.g. Citrix XenDesktop/CVAD, VMware View).

Azure Virtual Desktop (AVD)

uberAgent supports Azure Virtual Desktop (AVD) environments.

IaaS (AWS EC2, Azure VMs)

uberAgent supports cloud infrastructure as a service offerings such as Amazon AWS EC2, Azure VMs, and similar in any region.

Browser Extensions

Chrome

Google Chrome 120 or newer

Edge

Microsoft Edge 120 or newer

Firefox

Mozilla Firefox 120 or newer

Internet Explorer

Microsoft Internet Explorer 11

Endpoint Agent Features

Citrix Virtual Apps and Desktops Site Monitoring

  • CVAD delivery controller version 7.6 or newer

Citrix NetScaler Monitoring

  • At least PowerShell version 3.0
  • At least Citrix NetScaler firmware version 10.5

Citrix Cloud Monitoring

  • Citrix DaaS Remote PowerShell SDK

Alternative Backends

Apache Kafka

  • Confluent REST Proxy 5.4.x or newer
  • Confluent Schema Registry 5.4.x or newer
  • Any Apache Kafka version supported by the Confluent components above

Elasticsearch & Kibana

  • At least Elasticsearch 7.12.x
  • At least Kibana 7.12.x

Microsoft Azure Log Analytics

  • No specific requirements

Microsoft Azure Data Explorer Cluster

  • No specific requirements

Comments

Your email address will not be published. Required fields are marked *